# ParseMarkup(string)

Method in [Dialogue](https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.dialogue)

## Summary

Parses a line of text, and produces a [MarkupParseResult](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupparseresult) containing the results.

```csharp
public MarkupParseResult ParseMarkup(string line)
```

## Remarks

The [MarkupParseResult](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupparseresult) 's [Text](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupparseresult/yarn.markup.markupparseresult.text) will have any `select` , `plural` or `ordinal` markers replaced with the appropriate text, following this [Dialogue](https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.dialogue) 's [LanguageCode](https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.dialogue/yarn.dialogue.languagecode) .

## Parameters

| Name          | Description                |
| ------------- | -------------------------- |
| `string` line | The line of text to parse. |

## Returns

The results of parsing the markup.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.dialogue/yarn.dialogue.parsemarkup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
